import pathlib

def rmdir(directory: pathlib.Path):
    """
    Recursively deletes all files and folders in a given directory

    From: https://stackoverflow.com/a/49782093 (thanks mitch)
    """
    for item in directory.iterdir():
        if item.is_dir():
            rmdir(item)
        else:
            item.unlink()
    directory.rmdir()
